textures/azurea_a1_misc/autoclip
{
	qer_editorimage textures/azurea_a1_misc/autoclip.tga
	qer_trans 0.40
	surfaceparm nodraw
    surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm slick
}

textures/azurea_a1_misc/redrubber
{
	q3map_nonplanar
	q3map_shadeangle 120
	qer_editorimage textures/azurea_a1_misc/redrubber.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/azurea_a1_misc/redrubber.tga
		alphaFunc GT0
		blendFunc filter
	}
}

textures/azurea_a1_misc/ice
{
	q3map_globaltexture
	qer_trans 0.8
	qer_editorimage textures/azurea_a1_misc/glass2.tga
	surfaceparm nodamage	
	surfaceparm slick
	surfaceparm trans
	surfaceparm nomarks
	q3map_lightimage textures/azurea_a1_misc/dense_blue_nebula.tga
	q3map_surfacelight 60
	cull twosided

	{
		map textures/azurea_a1_misc/glass2.tga
		blendfunc add
	}
	{
		map textures/azurea_a1_misc/tin1d.tga
		blendFunc add
		tcgen environment
		rgbGen identity
	}
}

textures/azurea_a1_misc/water_caulk
{
	qer_editorimage textures/azurea_a1_misc/water_caulk.tga

	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water
}

textures/azurea_a1_misc/water_nowaves
{
	qer_editorimage textures/azurea_a1_misc/pool3d_ripple.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm water
	
	cull disable
	{ 
		map textures/azurea_a1_misc/pool3d_ripple.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{ 
		map textures/azurea_a1_misc/pool3d_ripple.tga
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

// organic

textures/azurea_a1_misc/grass01
{
	qer_editorimage textures/azurea_a1_misc/grass01.tga
//	** Remove the following line if creating the ASE **
	q3map_backShader textures/azurea_a1_misc/grass01_back
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99

	{
		map textures/azurea_a1_misc/grass01.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/azurea_a1_misc/grass01_back
{
	qer_editorimage textures/azurea_a1_misc/grass01.tga
	q3map_vertexScale 2
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/azurea_a1_misc/grass01.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/azurea_a1_misc/leave01a		// fern 1
{
	qer_editorimage textures/azurea_a1_misc/leave01a.tga
	q3map_backShader textures/azurea_a1_misc/leave01a_back
	q3map_vertexScale 1.5
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/azurea_a1_misc/leave01a.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/azurea_a1_misc/leave01a_back
{
	qer_editorimage textures/azurea_a1_misc/leave01a.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/azurea_a1_misc/leave01a.tga
		rgbGen const ( 0.2 0.2 0.2 )
		alphaFunc GE128		
	}	
}

// MODELS //

// SKULL TORCH
models/mapobjects/azurea_a1/flame1sidelight
{
	
	q3map_lightimage models/mapobjects/azurea_a1/snakeskin.tga
	qer_editorimage models/mapobjects/azurea_a1/bapholampyfx3.tga
	q3map_surfacelight 2000
		surfaceparm trans
		surfaceparm nomarks
		surfaceparm nonsolid
	
		surfaceparm nolightmap
		cull none

	{
		animMap 10 textures/azurea_a1_misc/flame1.tga textures/azurea_a1_misc/flame2.tga textures/azurea_a1_misc/flame3.tga textures/azurea_a1_misc/flame4.tga textures/azurea_a1_misc/flame5.tga textures/azurea_a1_misc/flame6.tga textures/azurea_a1_misc/flame7.tga textures/azurea_a1_misc/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/azurea_a1_misc/flame2.tga textures/azurea_a1_misc/flame3.tga textures/azurea_a1_misc/flame4.tga textures/azurea_a1_misc/flame5.tga textures/azurea_a1_misc/flame6.tga textures/azurea_a1_misc/flame7.tga textures/azurea_a1_misc/flame8.tga textures/azurea_a1_misc/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/azurea_a1_misc/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}

// SKULL TORCH BLUE
models/mapobjects/azurea_a1/flame1sidelightb
{
	
	q3map_lightimage models/mapobjects/azurea_a1/snakeskinb.tga
	qer_editorimage models/mapobjects/azurea_a1/bapholampyfx3.tga
	q3map_surfacelight 2000
		surfaceparm trans
		surfaceparm nomarks
		surfaceparm nonsolid
	
		surfaceparm nolightmap
		cull none

	{
		animMap 10 textures/azurea_a1_misc/flame1b.tga textures/azurea_a1_misc/flame2b.tga textures/azurea_a1_misc/flame3b.tga textures/azurea_a1_misc/flame4b.tga textures/azurea_a1_misc/flame5b.tga textures/azurea_a1_misc/flame6b.tga textures/azurea_a1_misc/flame7b.tga textures/azurea_a1_misc/flame8b.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/azurea_a1_misc/flame2b.tga textures/azurea_a1_misc/flame3b.tga textures/azurea_a1_misc/flame4b.tga textures/azurea_a1_misc/flame5b.tga textures/azurea_a1_misc/flame6b.tga textures/azurea_a1_misc/flame7b.tga textures/azurea_a1_misc/flame8b.tga textures/azurea_a1_misc/flame1b.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/azurea_a1_misc/flameballb.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}


// TEST glass-cardigan

textures/azurea_a1_misc/glass-cardigan
{
	qer_editorimage textures/azurea_a1_misc/qsn-shiny3.tga
	surfaceparm trans
	surfaceparm nomarks
	cull disable
	qer_trans 0.5

	{
		map textures/azurea_a1_misc/tinfx2.tga
		blendfunc add
		rgbGen const ( 0.564706 0.564706 0.564706 )
		tcMod scale 1.5 1.5
		tcGen environment 
	}
	{
		map textures/azurea_a1_misc/qsn-mirror.tga
		blendfunc add
		rgbGen const ( 0.243137 0.243137 0.243137 )
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

textures/azurea_a1_misc/rosa_effect
{
	qer_editorimage textures/azurea_a1_misc/rosa_effect.tga
	surfaceparm nolightmap
	surfaceparm	trans
	surfaceparm nonsolid
	surfaceparm nomarks
	q3map_surfacelight 200
	polygonOffset
	nomipmaps
	cull none
	sort 6
	{
		map textures/azurea_a1_misc/rosa_effect.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.7 0.3 0.5 0.1
		tcMod scroll 0.25 0
		detail
	}
}

textures/azurea_a1_misc/flag01
{
	surfaceparm alphashadow
	surfaceparm nonsolid
	tessSize 64
	deformVertexes wave 100 sin 0 3 0 .7
	sort banner
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/azurea_a1_misc/flag01.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/azurea_a1_misc/flag01.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .4 .3 0 0.5
	}
}

textures/azurea_a1_misc/flag03
{
	cull none
	surfaceparm alphashadow
	surfaceparm nonsolid
	tessSize 64
	deformVertexes wave 100 sin 0 3 0 .7
	sort banner
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/azurea_a1_misc/flag03.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/azurea_a1_misc/flag04
{
	cull none
	surfaceparm alphashadow
	surfaceparm nonsolid
	tessSize 64
	deformVertexes wave 100 sin 0 3 0 .7
	sort banner
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/azurea_a1_misc/flag04.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/azurea_a1_misc/stdaloneflame
{
	q3map_lightimage models/mapobjects/azurea_a1/snakeskin.tga
	qer_editorimage textures/azurea_a1_misc/flame1.tga
	q3map_surfacelight 2000
		surfaceparm trans
		surfaceparm nomarks
		surfaceparm nonsolid
	
		surfaceparm nolightmap
		cull none

	{
		animMap 10 textures/azurea_a1_misc/flame1.tga textures/azurea_a1_misc/flame2.tga textures/azurea_a1_misc/flame3.tga textures/azurea_a1_misc/flame4.tga textures/azurea_a1_misc/flame5.tga textures/azurea_a1_misc/flame6.tga textures/azurea_a1_misc/flame7.tga textures/azurea_a1_misc/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/azurea_a1_misc/flame2.tga textures/azurea_a1_misc/flame3.tga textures/azurea_a1_misc/flame4.tga textures/azurea_a1_misc/flame5.tga textures/azurea_a1_misc/flame6.tga textures/azurea_a1_misc/flame7.tga textures/azurea_a1_misc/flame8.tga textures/azurea_a1_misc/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	
	{
		map textures/azurea_a1_misc/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}
}

textures/azurea_a1_misc/stdaloneflamegreen
{
	q3map_lightimage models/mapobjects/azurea_a1/snakesking.tga
	qer_editorimage textures/azurea_a1_misc/flame1g.tga
	q3map_surfacelight 2000
		surfaceparm trans
		surfaceparm nomarks
		surfaceparm nonsolid
	
		surfaceparm nolightmap
		cull none

	{
		animMap 10 textures/azurea_a1_misc/flame1g.tga textures/azurea_a1_misc/flame2g.tga textures/azurea_a1_misc/flame3g.tga textures/azurea_a1_misc/flame4g.tga textures/azurea_a1_misc/flame5g.tga textures/azurea_a1_misc/flame6g.tga textures/azurea_a1_misc/flame7g.tga textures/azurea_a1_misc/flame8g.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/azurea_a1_misc/flame2g.tga textures/azurea_a1_misc/flame3g.tga textures/azurea_a1_misc/flame4g.tga textures/azurea_a1_misc/flame5g.tga textures/azurea_a1_misc/flame6g.tga textures/azurea_a1_misc/flame7g.tga textures/azurea_a1_misc/flame8g.tga textures/azurea_a1_misc/flame1g.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	
	{
		map textures/azurea_a1_misc/flameballg.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}
}

textures/azurea_a1_misc/stdaloneflamegreen15k
{
	q3map_lightimage models/mapobjects/azurea_a1/snakesking.tga
	qer_editorimage textures/azurea_a1_misc/flame1g.tga
	q3map_surfacelight 15000
		surfaceparm trans
		surfaceparm nomarks
		surfaceparm nonsolid
	
		surfaceparm nolightmap
		cull none

	{
		animMap 10 textures/azurea_a1_misc/flame1g.tga textures/azurea_a1_misc/flame2g.tga textures/azurea_a1_misc/flame3g.tga textures/azurea_a1_misc/flame4g.tga textures/azurea_a1_misc/flame5g.tga textures/azurea_a1_misc/flame6g.tga textures/azurea_a1_misc/flame7g.tga textures/azurea_a1_misc/flame8g.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/azurea_a1_misc/flame2g.tga textures/azurea_a1_misc/flame3g.tga textures/azurea_a1_misc/flame4g.tga textures/azurea_a1_misc/flame5g.tga textures/azurea_a1_misc/flame6g.tga textures/azurea_a1_misc/flame7g.tga textures/azurea_a1_misc/flame8g.tga textures/azurea_a1_misc/flame1g.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	
	{
		map textures/azurea_a1_misc/flameballg.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}
}

textures/azurea_a1_misc/stdaloneflameblue
{
	q3map_lightimage models/mapobjects/azurea_a1/snakeskinb.tga
	qer_editorimage textures/azurea_a1_misc/flame1b.tga
	q3map_surfacelight 2000
		surfaceparm trans
		surfaceparm nomarks
		surfaceparm nonsolid
	
		surfaceparm nolightmap
		cull none

	{
		animMap 10 textures/azurea_a1_misc/flame1b.tga textures/azurea_a1_misc/flame2b.tga textures/azurea_a1_misc/flame3b.tga textures/azurea_a1_misc/flame4b.tga textures/azurea_a1_misc/flame5b.tga textures/azurea_a1_misc/flame6b.tga textures/azurea_a1_misc/flame7b.tga textures/azurea_a1_misc/flame8b.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/azurea_a1_misc/flame2b.tga textures/azurea_a1_misc/flame3b.tga textures/azurea_a1_misc/flame4b.tga textures/azurea_a1_misc/flame5b.tga textures/azurea_a1_misc/flame6b.tga textures/azurea_a1_misc/flame7b.tga textures/azurea_a1_misc/flame8b.tga textures/azurea_a1_misc/flame1b.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	
	{
		map textures/azurea_a1_misc/flameballb.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}
}

// Oak-mapmodel 

models/mapobjects/azurea_a1/oakblaetter
{
	cull none
	nopicmip

	{
		map models/mapobjects/azurea_a1/oakblaetter.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/azurea_a1/oakblaetter2
{
	cull none
	nopicmip

	{
		map models/mapobjects/azurea_a1/oakblaetter2.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/azurea_a1/oakblaetter3
{
	cull none
	nopicmip

	{
		map models/mapobjects/azurea_a1/oakblaetter3.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}
